libraw1394: version 2.0.4
Prev |  | Next

# raw1394_get_fd

## Name

raw1394_get_fd -- get the communication file descriptor

## Synopsis

``int raw1394_get_fd` (raw1394handle_t handle);`

## Arguments

`handle`

  libraw1394 handle

## Description

This can be used for `select`/`poll` calls if you wait on other fds or can be integrated into another event loop (e.g. from a GUI application framework). It can also be used to set/remove the O_NONBLOCK flag using `fcntl` to modify the blocking behaviour in `raw1394_loop_iterate`. It must not be used for anything else.

## Returns

the fd used for communication with the raw1394 kernel module or -1 on failure (sets errno).

Prev | Home | Next
raw1394_busreset_notify | Up | raw1394_set_userdata